package com.solution.algo.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.solution.algo.mapper.SysAlgoConfigMapper;
import com.solution.algo.domain.SysAlgoConfig;
import com.solution.algo.service.ISysAlgoConfigService;

/**
 * 动态规则配置Service业务层处理
 * 
 * @author zouju
 * @date 2026-02-05
 */
@Service
public class SysAlgoConfigServiceImpl implements ISysAlgoConfigService 
{
    @Autowired
    private SysAlgoConfigMapper sysAlgoConfigMapper;

    /**
     * 查询动态规则配置
     * 
     * @param id 动态规则配置主键
     * @return 动态规则配置
     */
    @Override
    public SysAlgoConfig selectSysAlgoConfigById(Long id)
    {
        return sysAlgoConfigMapper.selectSysAlgoConfigById(id);
    }

    /**
     * 查询动态规则配置列表
     * 
     * @param sysAlgoConfig 动态规则配置
     * @return 动态规则配置
     */
    @Override
    public List<SysAlgoConfig> selectSysAlgoConfigList(SysAlgoConfig sysAlgoConfig)
    {
        return sysAlgoConfigMapper.selectSysAlgoConfigList(sysAlgoConfig);
    }

    /**
     * 新增动态规则配置
     * 
     * @param sysAlgoConfig 动态规则配置
     * @return 结果
     */
    @Override
    public int insertSysAlgoConfig(SysAlgoConfig sysAlgoConfig)
    {
        return sysAlgoConfigMapper.insertSysAlgoConfig(sysAlgoConfig);
    }

    /**
     * 修改动态规则配置
     * 
     * @param sysAlgoConfig 动态规则配置
     * @return 结果
     */
    @Override
    public int updateSysAlgoConfig(SysAlgoConfig sysAlgoConfig)
    {
        return sysAlgoConfigMapper.updateSysAlgoConfig(sysAlgoConfig);
    }

    /**
     * 批量删除动态规则配置
     * 
     * @param ids 需要删除的动态规则配置主键
     * @return 结果
     */
    @Override
    public int deleteSysAlgoConfigByIds(Long[] ids)
    {
        return sysAlgoConfigMapper.deleteSysAlgoConfigByIds(ids);
    }

    /**
     * 删除动态规则配置信息
     * 
     * @param id 动态规则配置主键
     * @return 结果
     */
    @Override
    public int deleteSysAlgoConfigById(Long id)
    {
        return sysAlgoConfigMapper.deleteSysAlgoConfigById(id);
    }
}
